#include <perms.h>
int _imp_mainep(int _imp_argc, char **_imp_argv) {
  int Ackermann(int M, int N) {
    if (!M) return (N + 1);
    if (!N) return (Ackermann(M - 1, 1));
    return (Ackermann(M - 1, Ackermann(M, N - 1)));
  }
  int I;
  I = Ackermann(3, 4);
  Printstring(_imp_str_literal("ACKERMANN(3,4) = "));
  Write(I, -1);
  Newline();
  exit(0);
  return (1);
}
